#include "FruitPole.h"

#include <QGLWidget>

#include "Cube.h"

struct FruitPoleData
{
	Cube pole;
	Cube string;
	Cube stringSupport;
	Cube poleSupport;
};

FruitPole::FruitPole()
{
}

FruitPole::~FruitPole()
{
}

void FruitPole::draw()
{
	createShape();
}

void FruitPole::createShape()
{
	enableStates();

	// Material properties for Pole
	GLfloat poleDiffuse[] = { 0.3f, 0.2f, 0.1f, 1.0f };
	
	// Consists of hierarchical transforms
	// String Support
	glPushMatrix();
	glTranslatef(0.0f, 2.5f, 0.0f);
	glScalef(2.0f, 0.5f, 1.0f);
	glMaterialfv(GL_FRONT, GL_DIFFUSE, poleDiffuse);
	d->stringSupport.draw();
	glPopMatrix();

	// Pole
	glPushMatrix();
	glTranslatef(1.7f, -4.75f, 0.0f);
	glScalef(1.5f, 15.0f, 1.0f);
	d->pole.draw();
	glPopMatrix();

	// Pole support
	glPushMatrix();
	glTranslatef(0.8f, -12.0f, 0.0f);
	glScalef(4.0f, 1.0f, 1.0f);
	d->poleSupport.draw();
	glPopMatrix();

	disableStates();
}