#include "Quad.h"

Quad::Quad()
{
	m_texture = 0;
	m_fileName = "";
}

Quad::~Quad()
{
}

void Quad::setTextureFileName(const QString& fileName)
{
	m_fileName = fileName;
	QImage image = QImage(m_fileName).convertToFormat(QImage::Format_ARGB32);
	m_textureImage = QGLWidget::convertToGLFormat( image );
	glGenTextures(1, &m_texture);
	glBindTexture(GL_TEXTURE_2D, m_texture);
}

void Quad::draw()
{
	createShape();
}

void Quad::createShape()
{
	glEnable(GL_BLEND);
    glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);

	// Bind and set the texture parameters
	glBindTexture(GL_TEXTURE_2D, m_texture);
	glTexParameteri( GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT );
	glTexParameteri( GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT );
	glTexParameteri( GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR );
	glTexParameteri( GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR );
	glTexImage2D( GL_TEXTURE_2D, 0, GL_RGBA, m_textureImage.width(), m_textureImage.height(), 
		0, GL_RGBA, GL_UNSIGNED_BYTE, m_textureImage.bits());

	glEnable(GL_TEXTURE_2D);
	glBindTexture(GL_TEXTURE_2D, m_texture);
	glBegin(GL_POLYGON);

	glTexCoord2f(0.0f, 0.0f);
	glVertex3f(0.0f, 0.0f, 0.0f);
	
	glTexCoord2f(1.0f, 0.0f);
	glVertex3f(1.0f, 0.0f, 0.0f);

	glTexCoord2f(1.0f, 1.0f);
	glVertex3f(1.0f, 1.0f, 0.0f);

	glTexCoord2f(0.0f, 1.0f);
	glVertex3f(0.0f, 1.0f, 0.0f);
	glEnd();

	glDisable(GL_TEXTURE_2D);
	glDisable(GL_BLEND);
}