/*
* Shape.h 
* An Interface to create a any 2d/3d object
* This is a parent class for all shapes drawn in this system
*
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/

#ifndef SHAPE_H
#define SHAPE_H

class Shape
{	
public:
	Shape();
	~Shape();

protected:
	void createShape();
	void draw();

	void enableStates();
	void disableStates();

	void rotate(double angle, double xx, double yy, double zz);
	void translate(double xx, double yy, double zz);
	void scale(double xx, double yy, double zz);
};

#endif // SHAPE_H

