#include "Sphere.h"
#include "qtglut.h"

#include <QGLWidget>

struct SphereData
{
	GLfloat* modelViewMatrix;
	GLfloat currPos[3];
};

Sphere::Sphere()
{
	d = new SphereData;
	d->modelViewMatrix = new GLfloat [16];
	d->currPos[0] = d->currPos[1] = d->currPos[2] = 0.0f;
}

Sphere::~Sphere()
{
	delete d->modelViewMatrix;
	delete d;
}

void Sphere::draw()
{
	createShape();
}

void Sphere::createShape()
{
	enableStates();
	glutSolidSphere(1.0f, 15, 15);
	disableStates();
}

void Sphere::drawWithTheseProperties(GLdouble radius, GLint slices, GLint stacks, bool wire)
{
	createShapeWithTheseProperties(radius, slices, stacks, wire);	
}

void Sphere::createShapeWithTheseProperties(GLdouble radius, GLint slices, GLint stacks, bool wire)
{
	enableStates();
	if(wire == true)
		glutWireSphere(radius, slices, stacks);
	else
		glutSolidSphere(radius, slices, stacks);
	disableStates();
}

GLfloat* Sphere::currentPosition()
{
	glGetFloatv(GL_MODELVIEW_MATRIX, d->modelViewMatrix);  
	d->currPos[0] = d->modelViewMatrix[12];
	d->currPos[1] = d->modelViewMatrix[13];
	d->currPos[2] = d->modelViewMatrix[14];

	return d->currPos;
}
