#ifndef STOPWATCH_H
#define STOPWATCH_H
 
#include <QWidget>
#include <QVBoxLayout>
#include <QPushButton>
#include <QLCDNumber>
#include <QTime>
#include <QTimer>
#include <QHBoxLayout>

class Stopwatch : public QWidget
{
    Q_OBJECT
 
public:
	Stopwatch(QWidget *parent = 0);
    ~Stopwatch();

	QString yourScore();
	QString topScore();

public slots:
	void stop();
	void updateTopScore();

protected:
	void paintEvent(QPaintEvent* pe);

	QSize sizeHint() const;
	void mousePressEvent(QMouseEvent* me);	

private slots:
    void showTime();

private:
	QTime* m_time;
	QTimer* m_timer;
	QTime m_currTime;

	QVBoxLayout* m_layout;
    QLCDNumber* m_num;

	int m_timeCount;
	QString m_yourScore;
	QString m_topScore;
};
 
#endif // STOPWATCH_H