#include "WarningUI.h"

#include <QVBoxLayout>
#include <QLabel>
#include <QLayout>
#include <QPainter>

WarningUI::WarningUI(QWidget* parent)
:QWidget(parent, Qt::FramelessWindowHint | Qt::WindowSystemMenuHint)
{
	QFont newFont = font();
	newFont.setBold(true);
	newFont.setPointSize(newFont.pointSize() + 20);
    setFont(newFont);

	setMouseTracking(true);
	m_time.start();
}

WarningUI::~WarningUI()
{
}

void WarningUI::mousePressEvent(QMouseEvent* me)
{
	update();
}

QSize WarningUI::sizeHint() const
{
    return QSize(400, 200);
}

void WarningUI::paintEvent(QPaintEvent* pe)
{
	QPainter painter(this);
	QPixmap pix(":/Images/Warning.jpg");
	painter.setRenderHint(QPainter::Antialiasing);
	painter.drawPixmap(0, 0, width(), height(), pix);

	drawWarningUINumberText(&painter);
}

void WarningUI::drawWarningUINumberText(QPainter* p)
{
	p->save();
    p->setWindow(0, 0, 800, 600);
    p->setRenderHint(QPainter::Antialiasing);
    p->setPen(QPen(Qt::black));
    p->setBrush(QBrush(QColor(193, 193, 193, 127)));

    QFont font("SansSerif", 44);
    p->setFont(font);
	QString warningText = QString::number( m_time.elapsed() );
    p->drawText(180, 300, warningText);
    p->restore();
}