#include "Window.h"

#include <QtGUI>
#include <QGLWidget>
#include <QKeyEvent>

#include "OpenGLScene.h"

struct WindowData
{
	OpenGLScene* scene;
};

Window::Window()
{
	setWindowTitle("The Legend of Arjun, (c) Brian Gee Chacko,"
		           "M.S.Ramaiah School of Advanced Studies, Bangalore - 54");

	d = new WindowData;
	setViewport(new QGLWidget(QGLFormat(QGL::SampleBuffers)));
	setViewportUpdateMode(QGraphicsView::FullViewportUpdate);
	
	d->scene = new OpenGLScene;
	setScene(d->scene);
}

Window::~Window()
{
	delete d;
}

QSize Window::minimumSizeHint() const
{
	return QSize(50, 50);
}

QSize Window::sizeHint() const
{
	return QSize(400, 400);
}

void Window::keyPressEvent(QKeyEvent* e)
{
	if (e->key() == Qt::Key_Escape)
		close();
	else
		QWidget::keyPressEvent(e);
}

void Window::resizeEvent(QResizeEvent* event)
{
	if (scene())
		scene()->setSceneRect(QRect(QPoint(0, 0), event->size()));
	QGraphicsView::resizeEvent(event);
}