/*
* Window.h 
* An interface render for the entire scene. Several GUI objects
* can be added here.
* 
* Copyright (c) Brian Gee Chacko, 2010
* M.S.Ramaiah School of Advanced Studies, Bangalore 
*/

#ifndef WINDOW_H
#define WINDOW_H

#include <QGraphicsView>

struct WindowData;
class Window: public QGraphicsView
{
public:
	Window();
	~Window();

protected:
	QSize minimumSizeHint() const;
	QSize sizeHint() const;

	void keyPressEvent(QKeyEvent* event);
	void resizeEvent(QResizeEvent* event);

private:
	WindowData* d;
};

#endif // WINDOW_H


